#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""PropertyValue."""
import sqlalchemy_utils
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
from invenio_explicit_acls.acls.propertyvalue_acls import BoolOperation

revision = '09125a7b0afe'
down_revision = '0a44f662bd46'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('explicit_acls_propertyvalue', sa.Column('bool_operation', sqlalchemy_utils.types.choice.ChoiceType(BoolOperation, impl=sa.String(length=10)), nullable=True)),
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('explicit_acls_propertyvalue', 'bool_operation')
    # ### end Alembic commands ###
